Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.auth
Class ChildGroupList

    java.lang.Object
      com.plumtree.remote.auth.ChildGroupList

public class ChildGroupList
extends java.lang.Object

A wrapper for an array of `ChildGroup` objects. This object also contains a boolean flag that indicates whether or not this is the complete list of `ChildGroup`s returned from the `IGroup` implementation.

Constructor Summary
`ChildGroupList(ChildGroup[] list)` Constructor that populates this object with an array of `ChildGroup`s and indicates that this is the complete list of `ChildGroup`s to be returned.
`ChildGroupList(ChildGroup[] list, boolean isDone)` Constructor that populates this object with an array of `ChildGroup`s and indicates whether or not this is the last list of `ChildGroup`s to be returned.

Method Summary
`ChildGroup[]` | `getChildGroups()` Gets the list of `ChildGroup`s.
`boolean` | `getDone()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildGroupList

    public ChildGroupList(ChildGroup[] list)

  Constructor that populates this object with an array of `ChildGroup`s and indicates that this is the complete list of `ChildGroup`s to be returned.

Parameters:
  `list` - the list of `ChildGroup`s to be returned to the portal

### ChildGroupList

    public ChildGroupList(ChildGroup[] list,
                          boolean isDone)

  Constructor that populates this object with an array of `ChildGroup`s and indicates whether or not this is the last list of `ChildGroup`s to be returned.

Parameters:
  `list` - the list of `ChildGroup`s to be returned to the portal. Null lists are treated as zero-length `ChildGroup` arrays.
  `isDone` - whether or not this is the last list of `ChildGroup`s to be returned

Method Detail

### getChildGroups

    public ChildGroup[] getChildGroups()

  Gets the list of `ChildGroup`s.

  Returns:
    an array of `ChildGroup` objects

### getDone

    public boolean getDone()

  Returns:
    true if this is the complete list of `ChildGroup`s returned by an `IGroup` implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.